Gnome on-screen keyboard doesn't appear when a text field is focused

Bug #1589240 reported by Riccardo Maffei on 2016-06-05
100
This bug affects 17 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

Impact
------
Without 'caribou' installed, the Screen Keyboard setting, if Enabled, only works for for the login screen, password prompts and the Activities Overview search.

It looks the caribou gir and library are enough for those places, but the 'caribou' binary is needed for the Screen Keyboard to work in screen input in apps.

Test Case
---------
From Ubuntu GNOME, install the update.

caribou should be installed now.

Open the Settings app (gnome-control-center).
Click Universal Access then turn on Screen Keyboard.

Open Text Editor (gedit)
Click (or tap) in the window to start typing.
The onscreen keyboard should be

Regression Potential
--------------------
I also tested with gnome-shell-extension-onboard installed. Onboard appears to completely ignore the Screen Keyboard setting (LP: #1690582). Also when Onboard is enabled, caribou is not shown at all except in the password prompts and Activities Overview search where onboard is currently not working. In other words, I tested whether having caribou installed would interfere with Onboard and I can see that Caribou provides no problem.

Original Bug Report
-------------------
The gnome on-screen keyboard is hidden by default and should appear when a text field is focused.
This behavior is working as expected clicking on one of the text field of the shell such as the search field in the gnome overview. Clicking on text fields not owned by the gnome-shell such as in gedit or in a terminal emulator doesn't un-hide the keyboard.

Steps to reproduce the issue:
 * Enable the keyboard in accessibility.
 * Open a text editor. (I've tested with gedit)
 * Click on the text field/area.

Expected behavior:
 * The keyboard should appear.

Actual behavior:
 * The keyboard doesn't appear.

Also, I think it would be useful to be able to choose:
 * Between the "fullscreen" mode (the default one) and a windowed mode.
 * Between the "show on focus" behavior and a "always shown" behavior.

The "fullscreen" mode should be incompatibile with the "always shown" behavior unless there is a way to close it manually (a button on the on-screen keyboard) in order to prevent a deadlock-like situation where the keyboard is preventing us from closing itself because we can't click in a window behind it. That button already exists and has a similar behavior.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: gnome-shell 3.18.4-0ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Jun 5 13:49:03 2016
DisplayManager: gdm3
InstallationDate: Installed on 2016-04-22 (43 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Release amd64 (20160421)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in gnome-shell (Ubuntu):
importance: Undecided → High
Kethen (kethen) wrote :

It appears only on shell components, such as alt+f2 quick launch input and Activities' search bar. Does not appear in anything else such as evolution, gedit, gnome-terminal, libreoffice, firefox etc.

same on ubuntu 16.10 with latest kernel. behaviour as described in comment 3

Michael Flaig (mflaig) wrote :

Upgrade a Surface Pro 3 to 17.04, the issue remains. Gnome on-screen keyboard does work in shell, but not with applications.

@Riccardo: Ubuntu with Unity does however come with onboard which is a good on-screen keyboard. It does provide a good floating keyboard experience with Gnome, too. However it does not work right with Wayland, yet.

Thomas Scheiblauer (shyblower) wrote :

Same problem here on Ubuntu 16.10.
It does work on Gentoo Linux, though.

Artyom Zorin (azorin) wrote :

Installing the "caribou" package appears to have fixed the issue (keyboard appears in Gedit and Gnome Terminal). As this is originally a core Gnome package, should it not have been included in Ubuntu Gnome out of the box?

affects: gnome-shell (Ubuntu) → ubuntu-gnome-meta (Ubuntu)
Raoul Verveer (lazy-r) wrote :

I can confirm installing caribou solves the problem. It should be installed by default when installing gnome-shell, or at least when installing Ubuntu Gnome.

The keyboard appears automatically in GTK applications, including Libre Office, but not in Chromium, or when using the text-tools in Inkscape and Gimp. But that might be another issue altogether.

Jeremy Bicha (jbicha) on 2017-05-13
description: updated
Changed in ubuntu-gnome-meta (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-gnome-meta (Ubuntu Xenial):
importance: Undecided → High
status: New → Triaged
Changed in ubuntu-gnome-meta (Ubuntu Yakkety):
status: New → Triaged
importance: Undecided → High
Changed in ubuntu-gnome-meta (Ubuntu Zesty):
importance: Undecided → High
status: New → Triaged
Jeremy Bicha (jbicha) on 2017-05-13
affects: ubuntu-gnome-meta (Ubuntu) → gnome-shell (Ubuntu)
Jeremy Bicha (jbicha) on 2017-05-13
Changed in gnome-shell (Ubuntu Xenial):
status: Triaged → In Progress
Changed in gnome-shell (Ubuntu Yakkety):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.2-0ubuntu2

---------------
gnome-shell (3.24.2-0ubuntu2) artful; urgency=medium

  * Depend on caribou (LP: #1589240)

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 17:35:48 -0400

Changed in gnome-shell (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-05-13
Changed in gnome-shell (Ubuntu Zesty):
status: Triaged → In Progress
Jeremy Bicha (jbicha) on 2017-05-17
tags: added: trusty yakkety zesty

Hello Riccardo, or anyone else affected,

Accepted gnome-shell into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.24.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello Riccardo, or anyone else affected,

Accepted gnome-shell into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.20.4-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Yakkety):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Riccardo, or anyone else affected,

Accepted gnome-shell into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.18.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-shell (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: osk
tags: added: verification-done
removed: verification-needed

Tested the new package from -proposed and fixes the bug.
Package version: 3.18.5-0ubuntu0.3.
Release: xenial (Ubuntu Gnome 16.04.2).

I'll restore "verification-needed" tag for other releases.

tags: added: verification-done-xenial verification-needed
removed: verification-done
Jeremy Bicha (jbicha) wrote :

Thank you for taking the time to help make Ubuntu better, Riccardo!

Jeremy Bicha (jbicha) wrote :

From Ubuntu (Unity) 16.10 and 17.04, I enabled -proposed updated and installed gnome-shell. I then enabled the On Screen Keyboard in Universal Access Settings and confirmed that the on screen keyboard displayed correctly in English in text fields like in gedit.

gnome-shell 3.20.4-0ubuntu3 (16.10)
gnome-shell 3.24.2-0ubuntu0.1 (17.04)

tags: added: verification-done
removed: verification-done-xenial verification-needed
tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.18.5-0ubuntu0.3

---------------
gnome-shell (3.18.5-0ubuntu0.3) xenial; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 17:46:47 -0400

Changed in gnome-shell (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.20.4-0ubuntu3

---------------
gnome-shell (3.20.4-0ubuntu3) yakkety; urgency=medium

  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)
  * Recommend chrome-gnome-shell, needed for Firefox, Chromium, Chrome and
    Opera to work with https://extensions.gnome.org/ (LP: #1672175)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:38:18 -0400

Changed in gnome-shell (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.2-0ubuntu0.1

---------------
gnome-shell (3.24.2-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1690182)
  * Extend ubuntu-lightdm-user-switching.patch to allow
    locking screen using LightDM (LP: #1684205)
  * Allow lightdm to be an alternate recommends for gdm3 to avoid debconf
    question if a display manager is already installed (LP: #1690938)
  * Depend on caribou, needed for the Screen Keyboard (LP: #1589240)

 -- Jeremy Bicha <email address hidden> Mon, 15 May 2017 18:36:22 -0400

Changed in gnome-shell (Ubuntu Zesty):
status: Fix Committed → Fix Released
Johan (gardin) wrote :

I know this bug might already be closed, but although the update does fix the issue in gedit, terminal etc, Chromium still does not work for me. Should I open a new bug about this? Is there anyone with the same problem?

i too have the same problem as "Johan (gardin)" in Mozilla Firefox version 56 64-bit present Ubuntu version is
Distributor ID: Ubuntu Gnome
Description: Ubuntu Gnome 16.04.3 LTS
Release: 16.04
Codename: xenial
kernel: 4.10.0-37-generic

I think a new bug has to be filed

Daniel van Vugt (vanvugt) wrote :

This bug is closed, rightly or wrongly. Yes, please do open a new bug if you have any problems.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers